#[doc = "Register `WDT_CTRHIGH` reader"]
pub struct R(crate::R<WDT_CTRHIGH_SPEC>);
impl core::ops::Deref for R {
    type Target = crate::R<WDT_CTRHIGH_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl core::convert::From<crate::R<WDT_CTRHIGH_SPEC>> for R {
    fn from(reader: crate::R<WDT_CTRHIGH_SPEC>) -> Self {
        R(reader)
    }
}
#[doc = "Register `WDT_CTRHIGH` writer"]
pub struct W(crate::W<WDT_CTRHIGH_SPEC>);
impl core::ops::Deref for W {
    type Target = crate::W<WDT_CTRHIGH_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl core::ops::DerefMut for W {
    #[inline(always)]
    fn deref_mut(&mut self) -> &mut Self::Target {
        &mut self.0
    }
}
impl core::convert::From<crate::W<WDT_CTRHIGH_SPEC>> for W {
    fn from(writer: crate::W<WDT_CTRHIGH_SPEC>) -> Self {
        W(writer)
    }
}
#[doc = "Field `WDT_CTR2` reader - Current value of WDT Counter 2"]
pub struct WDT_CTR2_R(crate::FieldReader<u32, u32>);
impl WDT_CTR2_R {
    pub(crate) fn new(bits: u32) -> Self {
        WDT_CTR2_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for WDT_CTR2_R {
    type Target = crate::FieldReader<u32, u32>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl R {
    #[doc = "Bits 0:31 - Current value of WDT Counter 2"]
    #[inline(always)]
    pub fn wdt_ctr2(&self) -> WDT_CTR2_R {
        WDT_CTR2_R::new((self.bits & 0xffff_ffff) as u32)
    }
}
impl W {
    #[doc = "Writes raw bits to the register."]
    pub unsafe fn bits(&mut self, bits: u32) -> &mut Self {
        self.0.bits(bits);
        self
    }
}
#[doc = "Watchdog Counter 2\n\nThis register you can [`read`](crate::generic::Reg::read), [`write_with_zero`](crate::generic::Reg::write_with_zero), [`reset`](crate::generic::Reg::reset), [`write`](crate::generic::Reg::write), [`modify`](crate::generic::Reg::modify). See [API](https://docs.rs/svd2rust/#read--modify--write-api).\n\nFor information about available fields see [wdt_ctrhigh](index.html) module"]
pub struct WDT_CTRHIGH_SPEC;
impl crate::RegisterSpec for WDT_CTRHIGH_SPEC {
    type Ux = u32;
}
#[doc = "`read()` method returns [wdt_ctrhigh::R](R) reader structure"]
impl crate::Readable for WDT_CTRHIGH_SPEC {
    type Reader = R;
}
#[doc = "`write(|w| ..)` method takes [wdt_ctrhigh::W](W) writer structure"]
impl crate::Writable for WDT_CTRHIGH_SPEC {
    type Writer = W;
}
#[doc = "`reset()` method sets WDT_CTRHIGH to value 0"]
impl crate::Resettable for WDT_CTRHIGH_SPEC {
    #[inline(always)]
    fn reset_value() -> Self::Ux {
        0
    }
}
